"
I provide class methods returning character codes for non-printable characters.
"
Class {
	#name : #WDKeys,
	#superclass : #Object,
	#category : #'WebDriver-Constants'
}

{ #category : #constants }
WDKeys class >> altLeft [
	^ Character codePoint: 16rE00A asString
]

{ #category : #constants }
WDKeys class >> altRight [
	^ Character codePoint: 16rE0052 asString
]

{ #category : #constants }
WDKeys class >> arrowDown [
	^ Character codePoint: 16rE0015 asString
]

{ #category : #constants }
WDKeys class >> arrowLeft [
	^ Character codePoint: 16rE0012 asString
]

{ #category : #constants }
WDKeys class >> arrowRight [
	^ Character codePoint: 16rE0014 asString
]

{ #category : #constants }
WDKeys class >> arrowUp [
	^ Character codePoint: 16rE0013 asString
]

{ #category : #constants }
WDKeys class >> backspace [
	^ Character codePoint: 16rE003 asString
]

{ #category : #constants }
WDKeys class >> cancel [
	^ Character codePoint: 16rE001 asString
]

{ #category : #constants }
WDKeys class >> clear [
	^ Character codePoint: 16rE005 asString
]

{ #category : #constants }
WDKeys class >> controlLeft [
	^ Character codePoint: 16rE009 asString
]

{ #category : #constants }
WDKeys class >> controlRight [
	^ Character codePoint: 16rE0051 asString
]

{ #category : #constants }
WDKeys class >> delete [
	^ Character codePoint: 16rE0017 asString
]

{ #category : #constants }
WDKeys class >> end [
	^ Character codePoint: 16rE0010 asString
]

{ #category : #constants }
WDKeys class >> enter [
	^ Character codePoint: 16rE007 asString
]

{ #category : #constants }
WDKeys class >> equal [
	^ Character codePoint: 16rE0019 asString
]

{ #category : #constants }
WDKeys class >> escape [
	^ Character codePoint: 16rE00C asString
]

{ #category : #constants }
WDKeys class >> f1 [
	^ Character codePoint: 16rE0031 asString
]

{ #category : #constants }
WDKeys class >> f10 [
	^ Character codePoint: 16rE003A asString
]

{ #category : #constants }
WDKeys class >> f11 [
	^ Character codePoint: 16rE003B asString
]

{ #category : #constants }
WDKeys class >> f12 [
	^ Character codePoint: 16rE003C asString
]

{ #category : #constants }
WDKeys class >> f2 [
	^ Character codePoint: 16rE0032 asString
]

{ #category : #constants }
WDKeys class >> f3 [
	^ Character codePoint: 16rE0033 asString
]

{ #category : #constants }
WDKeys class >> f4 [
	^ Character codePoint: 16rE0034 asString
]

{ #category : #constants }
WDKeys class >> f5 [
	^ Character codePoint: 16rE0035 asString
]

{ #category : #constants }
WDKeys class >> f6 [
	^ Character codePoint: 16rE0036 asString
]

{ #category : #constants }
WDKeys class >> f7 [
	^ Character codePoint: 16rE0037 asString
]

{ #category : #constants }
WDKeys class >> f8 [
	^ Character codePoint: 16rE0038 asString
]

{ #category : #constants }
WDKeys class >> f9 [
	^ Character codePoint: 16rE0039 asString
]

{ #category : #constants }
WDKeys class >> help [
	^ Character codePoint: 16rE002 asString
]

{ #category : #constants }
WDKeys class >> home [
	^ Character codePoint: 16rE0011 asString
]

{ #category : #constants }
WDKeys class >> insert [
	^ Character codePoint: 16rE0016 asString
]

{ #category : #constants }
WDKeys class >> metaLeft [
	^ Character codePoint: 16rE003D asString
]

{ #category : #constants }
WDKeys class >> metaRight [
	^ Character codePoint: 16rE0053 asString
]

{ #category : #constants }
WDKeys class >> num0 [
	^ Character codePoint: 16rE001A asString
]

{ #category : #constants }
WDKeys class >> num1 [
	^ Character codePoint: 16rE001B asString
]

{ #category : #constants }
WDKeys class >> num2 [
	^ Character codePoint: 16rE001C asString
]

{ #category : #constants }
WDKeys class >> num3 [
	^ Character codePoint: 16rE001D asString
]

{ #category : #constants }
WDKeys class >> num4 [
	^ Character codePoint: 16rE001E asString
]

{ #category : #constants }
WDKeys class >> num5 [
	^ Character codePoint: 16rE001F asString
]

{ #category : #constants }
WDKeys class >> num6 [
	^ Character codePoint: 16rE0020 asString
]

{ #category : #constants }
WDKeys class >> num7 [
	^ Character codePoint: 16rE0021 asString
]

{ #category : #constants }
WDKeys class >> num8 [
	^ Character codePoint: 16rE0022 asString
]

{ #category : #constants }
WDKeys class >> num9 [
	^ Character codePoint: 16rE0023 asString
]

{ #category : #constants }
WDKeys class >> numArrowDown [
	^ Character codePoint: 16rE005B asString
]

{ #category : #constants }
WDKeys class >> numArrowLeft [
	^ Character codePoint: 16rE0058 asString
]

{ #category : #constants }
WDKeys class >> numArrowRight [
	^ Character codePoint: 16rE005A asString
]

{ #category : #constants }
WDKeys class >> numArrowUp [
	^ Character codePoint: 16rE0059 asString
]

{ #category : #constants }
WDKeys class >> numComma [
	^ Character codePoint: 16rE0026 asString
]

{ #category : #constants }
WDKeys class >> numDelete [
	^ Character codePoint: 16rE005D asString
]

{ #category : #constants }
WDKeys class >> numDot [
	^ Character codePoint: 16rE0028 asString
]

{ #category : #constants }
WDKeys class >> numEnd [
	^ Character codePoint: 16rE0056 asString
]

{ #category : #constants }
WDKeys class >> numHome [
	^ Character codePoint: 16rE0057 asString
]

{ #category : #constants }
WDKeys class >> numInsert [
	^ Character codePoint: 16rE005C asString
]

{ #category : #constants }
WDKeys class >> numMinus [
	^ Character codePoint: 16rE0027 asString
]

{ #category : #constants }
WDKeys class >> numPagedown [
	^ Character codePoint: 16rE0055 asString
]

{ #category : #constants }
WDKeys class >> numPageup [
	^ Character codePoint: 16rE0054 asString
]

{ #category : #constants }
WDKeys class >> numPlus [
	^ Character codePoint: 16rE0025 asString
]

{ #category : #constants }
WDKeys class >> numSlash [
	^ Character codePoint: 16rE0029 asString
]

{ #category : #constants }
WDKeys class >> numStar [
	^ Character codePoint: 16rE0024 asString
]

{ #category : #constants }
WDKeys class >> pagedown [
	^ Character codePoint: 16rE00F asString
]

{ #category : #constants }
WDKeys class >> pageup [
	^ Character codePoint: 16rE00E asString
]

{ #category : #constants }
WDKeys class >> pause [
	^ Character codePoint: 16rE00B asString
]

{ #category : #constants }
WDKeys class >> return [
	^ Character codePoint: 16rE006 asString
]

{ #category : #constants }
WDKeys class >> semicolon [
	^ Character codePoint: 16rE0018 asString
]

{ #category : #constants }
WDKeys class >> shiftLeft [
	^ Character codePoint: 16rE008 asString
]

{ #category : #constants }
WDKeys class >> shiftRight [
	^ Character codePoint: 16rE0050 asString
]

{ #category : #constants }
WDKeys class >> space [
	^ Character codePoint: 16rE00D asString
]

{ #category : #constants }
WDKeys class >> tab [
	^ Character codePoint: 16rE004 asString
]

{ #category : #constants }
WDKeys class >> unidentified [
	^ Character codePoint: 16rE000 asString
]

{ #category : #constants }
WDKeys class >> zenkakuhankaku [
	^ Character codePoint: 16rE0040 asString
]
